from flask import request

def get_arg(arg_name, default_value = None):
	result = request.args.get(arg_name)
	if result == None:
		if default_value == None:
			raise Exception("Missing query string parameter '"+arg_name+"'")
		else:
			return default_value
	return result

